I’m trying create an u-boot image file. But have i have some error.
gcc version: 7.3.0
make PATH=/opt/CodeSourcery/Sourcery_G++_Lite/arm-2011.03-41-arm-none-linux-gnueabi:$PATH
export CROSS_COMPILE=arm-linux-gnueabihf-(or arm-none-linux-gnueabi)
make ARCH=arm xilinx_zynq_defconfig
make -j ARCH=arm UIMAGE_LOADADDR=0x8000 uImage
ERROR:
gcc: error: unrecognized argument in option ‘-mabi=aapcs-linux’
gcc: note: valid arguments to ‘-mabi=’ are: ms sysv
gcc: error: unrecognized command line option ‘-mlittle-endian’; did you mean ‘-fconvert=little-endian’?
gcc: error: unrecognized command line option ‘-mfpu=vfp’; did you mean ‘-mcpu=’?
CC scripts/mod/devicetable-offsets.s
How can i fix? any idea?
asked Jun 17, 2020 at 7:37
EBBulutEBBulut
531 gold badge1 silver badge6 bronze badges
4
Your PATH is pointing to some 2011 GCC cross compiler. You need at least GCC 6 which was released in 2016. Please, install a current release of GCC.
On Debian or Ubuntu the C compiler for the host system and the cross compiler are separate packages. You can install the cross-compiler for 32bit and 64bit ARM with:
sudo apt-get install gcc-arm-linux-gnueabihf
sudo apt-get install gcc-aarch64-linux-gnu
As the compilers are installed in /usr/bin it is sufficient to set the CROSS_COMPILER variable like
export CROSS_COMPILE=arm-linux-gnueabihf-
or
export CROSS_COMPILE=aarch64-linux-gnu-
answered Jun 17, 2020 at 19:09
XypronXypron
2,0931 gold badge11 silver badges24 bronze badges
2
A more deterministic way of pointing to the exact toolchain you want to use is to provide its full prefix when setting CROSS_COMPILE
. This will avoid possible path-related errors, and the information on which exact toolchain was used for building will be embedded in your build script.
Full example — installing official Arm gcc toolchain and retrieving/building u-boot 20.04 for xilinx_zynq_virt (use your own u-boot and defconfig):
# gcc 9.2.0
mkdir -p /opt/arm/9
wget 'https://developer.arm.com/-/media/Files/downloads/gnu-a/9.2-2019.12/binrel/gcc-arm-9.2-2019.12-x86_64-arm-none-eabi.tar.xz?revision=64186c5d-b471-4c97-a8f5-b1b300d6594a&la=en&hash=5E9204DA5AF0B055B5B0F50C53E185FAA10FF625'
tar Jxf gcc-arm-9.2-2019.12-x86_64-arm-none-eabi.tar.xz -C /opt/arm/9
# u-boot
wget https://github.com/u-boot/u-boot/archive/v2020.04.tar.gz
tar zxf v2020.04.tar.gz
cd u-boot-2020.04
make CROSS_COMPILE=/opt/arm/9/gcc-arm-9.2-2019.12-x86_64-arm-none-eabi/bin/arm-none-eabi- ARCH=arm mrproper xilinx_zynq_virt_defconfig all
ll -gG u-boot*
-rwxrwxr-x 1 5778348 Jun 19 08:08 u-boot*
-rwxrwxr-x 1 599172 Jun 19 08:08 u-boot.bin*
-rw-rw-r-- 1 14907 Jun 19 08:08 u-boot.cfg
-rw-rw-r-- 1 9181 Jun 19 08:09 u-boot.cfg.configs
-rwxrwxr-x 1 665132 Jun 19 08:09 u-boot.elf*
-rw-rw-r-- 1 70 Jun 19 08:09 u-boot-elf.lds
-rw-rw-r-- 1 599612 Jun 19 08:09 u-boot-elf.o
-rw-rw-r-- 1 599236 Jun 19 08:09 u-boot.img
-rw-rw-r-- 1 1626 Jun 19 08:08 u-boot.lds
-rw-rw-r-- 1 696711 Jun 19 08:08 u-boot.map
-rwxrwxr-x 1 599172 Jun 19 08:08 u-boot-nodtb.bin*
-rwxrwxr-x 1 1797626 Jun 19 08:08 u-boot.srec*
-rw-rw-r-- 1 184969 Jun 19 08:08 u-boot.sym
I hope this help.
answered Jun 19, 2020 at 12:13
FrantFrant
4,9741 gold badge15 silver badges21 bronze badges
0
Is the path you entered correct?.
I think you should add «/bin»,so it’ll be this way:
export PATH=/path
…to
<your toolchain>/bin:$PATH
Obsidian
3,3918 gold badges17 silver badges30 bronze badges
answered Apr 13, 2021 at 12:55
When compiling with gcc 4.7.2 and autoconf 2.69, I am routinely getting results such as these in configure.log.
Example:
configure:3091: $? = 0
configure:3080: gcc -V >&5
gcc: error: unrecognized command line option '-V'
gcc: fatal error: no input files compilation terminated.
configure:3091: $? = 1
configure:3080: gcc -qversion >&5
gcc: error: unrecognized command line option '-qversion'
gcc: fatal error: no input files compilation terminated.
configure:3091: $? = 1
configure:3111: checking whether the C compiler works
configure:3133: gcc -march=x86-64 -mtune=generic -Os -pipe -Wl,-O1 conftest.c >&5
configure:3137: $? = 0
configure:3185: result: yes
The compilation proceeds successfully, but I am wondering why autoconf is testing for command lines that gcc does not support. Is this for other compilers?
asked Nov 30, 2014 at 15:39
Modern autoconf version 2.69 could be used with the following extended compiler information extraction method:
# Provide some information about the compiler.
$as_echo "$as_me:${as_lineno-$LINENO}: checking for C compiler version" >&5
set X $ac_compile
ac_compiler=$2
for ac_option in --version -v -V -qversion; do
{ { ac_try="$ac_compiler $ac_option >&5"
case "(($ac_try" in
*"* | *`* | *\*) ac_try_echo=$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval ac_try_echo=""$as_me:${as_lineno-$LINENO}: $ac_try_echo""
$as_echo "$ac_try_echo"; } >&5
(eval "$ac_compiler $ac_option >&5") 2>conftest.err
ac_status=$?
if test -s conftest.err; then
sed '10a
... rest of stderr output deleted ...
10q' conftest.err >conftest.er1
cat conftest.er1 >&5
rm -f conftest.er1 conftest.err
fi
$as_echo "$as_me:${as_lineno-$LINENO}: $? = $ac_status" >&5
if test $ac_status = 0; then break; fi}
done
It’s already adapted to try modern as well as legacy version extraction flags.
The fix is at the very last line, allowing to skip testing after 1st success.
answered May 16, 2017 at 9:02
1
Hi.. this is my first post but I always read the forum to solve my problem! thank you to all!!!! sorry for my bad english in advanced…
This is my problem:
I have Archlinux x86_64 with Gnome (last version).
I try to install the driver for my printer epson sx218 but when I compile the bash show:
....
checking for gcc... gcc
checking for C compiler default output file name...
configure: error: C compiler cannot create executables
See `config.log' for more details.
....
now, I see the config.log file and I see the line:
gcc: error: unrecognized command line option '-V'
my makepkg.conf:
#
# /etc/makepkg.conf
#
#########################################################################
# SOURCE ACQUISITION
#########################################################################
#
#-- The download utilities that makepkg should use to acquire sources
# Format: 'protocol::agent'
DLAGENTS=('ftp::/usr/bin/curl -fC - --ftp-pasv --retry 3 --retry-delay 3 -o %o %u'
'http::/usr/bin/curl -fLC - --retry 3 --retry-delay 3 -o %o %u'
'https::/usr/bin/curl -fLC - --retry 3 --retry-delay 3 -o %o %u'
'rsync::/usr/bin/rsync --no-motd -z %u %o'
'scp::/usr/bin/scp -C %u %o')
# Other common tools:
# /usr/bin/snarf
# /usr/bin/lftpget -c
# /usr/bin/wget
#########################################################################
# ARCHITECTURE, COMPILE FLAGS
#########################################################################
#
CARCH="x86_64"
CHOST="x86_64-unknown-linux-gnu"
#-- Compiler and Linker Flags
# -march (or -mcpu) builds exclusively for an architecture
# -mtune optimizes for an architecture, but builds for whole processor family
CPPFLAGS="-D_FORTIFY_SOURCE=2"
CFLAGS="-march=native -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4"
CXXFLAGS="${CFLAGS}"
LDFLAGS="-Wl, -O1,--sort-common,--as-needed,-z,relro"
#-- Make Flags: change this for DistCC/SMP systems
MAKEFLAGS="-j2"
#-- Debugging flags
DEBUG_CFLAGS="-g -fvar-tracking-assignments"
DEBUG_CXXFLAGS="-g -fvar-tracking-assignments"
#########################################################################
# BUILD ENVIRONMENT
#########################################################################
#
# Defaults: BUILDENV=(fakeroot !distcc color !ccache check !sign)
# A negated environment option will do the opposite of the comments below.
#
#-- fakeroot: Allow building packages as a non-root user
#-- distcc: Use the Distributed C/C++/ObjC compiler
#-- color: Colorize output messages
#-- ccache: Use ccache to cache compilation
#-- check: Run the check() function if present in the PKGBUILD
#-- sign: Generate PGP signature file
#
BUILDENV=(fakeroot !distcc color !ccache check !sign)
#
#-- If using DistCC, your MAKEFLAGS will also need modification. In addition,
#-- specify a space-delimited list of hosts running in the DistCC cluster.
#DISTCC_HOSTS=""
#
#-- Specify a directory for package building.
#BUILDDIR=/tmp/makepkg
#########################################################################
# GLOBAL PACKAGE OPTIONS
# These are default values for the options=() settings
#########################################################################
#
# Default: OPTIONS=(strip docs libtool staticlibs emptydirs zipman purge !upx !debug)
# A negated option will do the opposite of the comments below.
#
#-- strip: Strip symbols from binaries/libraries
#-- docs: Save doc directories specified by DOC_DIRS
#-- libtool: Leave libtool (.la) files in packages
#-- staticlibs: Leave static library (.a) files in packages
#-- emptydirs: Leave empty directories in packages
#-- zipman: Compress manual (man and info) pages in MAN_DIRS with gzip
#-- purge: Remove files specified by PURGE_TARGETS
#-- upx: Compress binary executable files using UPX
#-- debug: Add debugging flags as specified in DEBUG_* variables
#
OPTIONS=(strip docs libtool staticlibs emptydirs zipman purge !upx !debug)
#-- File integrity checks to use. Valid: md5, sha1, sha256, sha384, sha512
INTEGRITY_CHECK=(md5)
#-- Options to be used when stripping binaries. See `man strip' for details.
STRIP_BINARIES="--strip-all"
#-- Options to be used when stripping shared libraries. See `man strip' for details.
STRIP_SHARED="--strip-unneeded"
#-- Options to be used when stripping static libraries. See `man strip' for details.
STRIP_STATIC="--strip-debug"
#-- Manual (man and info) directories to compress (if zipman is specified)
MAN_DIRS=({usr{,/local}{,/share},opt/*}/{man,info})
#-- Doc directories to remove (if !docs is specified)
DOC_DIRS=(usr/{,local/}{,share/}{doc,gtk-doc} opt/*/{doc,gtk-doc})
#-- Files to be removed from all packages (if purge is specified)
PURGE_TARGETS=(usr/{,share}/info/dir .packlist *.pod)
#########################################################################
# PACKAGE OUTPUT
#########################################################################
#
# Default: put built package and cached source in build directory
#
#-- Destination: specify a fixed directory where all packages will be placed
#PKGDEST=/home/packages
#-- Source cache: specify a fixed directory where source files will be cached
#SRCDEST=/home/sources
#-- Source packages: specify a fixed directory where all src packages will be placed
#SRCPKGDEST=/home/srcpackages
#-- Log files: specify a fixed directory where all log files will be placed
#LOGDEST=/home/makepkglogs
#-- Packager: name/email of the person or organization building packages
#PACKAGER="John Doe <john@doe.com>"
#-- Specify a key to use for package signing
#GPGKEY=""
#########################################################################
# COMPRESSION DEFAULTS
#########################################################################
#
COMPRESSGZ=(gzip -c -f -n)
COMPRESSBZ2=(bzip2 -c -f)
COMPRESSXZ=(xz -c -z -)
COMPRESSLRZ=(lrzip -q)
COMPRESSLZO=(lzop -q)
COMPRESSZ=(compress -c -f)
#########################################################################
# EXTENSION DEFAULTS
#########################################################################
#
# WARNING: Do NOT modify these variables unless you know what you are
# doing.
#
PKGEXT='.pkg.tar.xz'
SRCEXT='.src.tar.gz'
# vim: set ft=sh ts=2 sw=2 et:
this is my full config.log:
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
It was created by epson-inkjet-printer-filter configure 1.0.0, which was
generated by GNU Autoconf 2.61. Invocation command line was
$ ./configure LDFLAGS=-Wl, -O1,--sort-common,--as-needed,-z,relro -Wl,--no-as-needed --prefix=/opt/epson-inkjet-printer-workforce-320-sx218
## --------- ##
## Platform. ##
## --------- ##
hostname = localhost
uname -m = x86_64
uname -r = 3.9.3-1-ARCH
uname -s = Linux
uname -v = #1 SMP PREEMPT Sun May 19 22:50:29 CEST 2013
/usr/bin/uname -p = unknown
/bin/uname -X = unknown
/bin/arch = unknown
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo = unknown
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown
PATH: /usr/local/bin
PATH: /usr/bin
PATH: /bin
PATH: /usr/local/sbin
PATH: /usr/sbin
PATH: /sbin
PATH: /usr/bin/core_perl
## ----------- ##
## Core tests. ##
## ----------- ##
configure:1989: checking for a BSD-compatible install
configure:2045: result: /usr/bin/install -c
configure:2056: checking whether build environment is sane
configure:2099: result: yes
configure:2127: checking for a thread-safe mkdir -p
configure:2166: result: /usr/bin/mkdir -p
configure:2179: checking for gawk
configure:2195: found /usr/bin/gawk
configure:2206: result: gawk
configure:2217: checking whether make sets $(MAKE)
configure:2238: result: yes
configure:2480: checking for gcc
configure:2496: found /usr/bin/gcc
configure:2507: result: gcc
configure:2745: checking for C compiler version
configure:2752: gcc --version >&5
gcc (GCC) 4.8.0 20130502 (prerelease)
Copyright (C) 2013 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
configure:2755: $? = 0
configure:2762: gcc -v >&5
Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.0/lto-wrapper
Target: x86_64-unknown-linux-gnu
Configured with: /build/src/gcc-4.8-20130502/configure --prefix=/usr --libdir=/usr/lib --libexecdir=/usr/lib --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=https://bugs.archlinux.org/ --enable-languages=c,c++,ada,fortran,go,lto,objc,obj-c++ --enable-shared --enable-threads=posix --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-clocale=gnu --disable-libstdcxx-pch --enable-gnu-unique-object --enable-linker-build-id --enable-cloog-backend=isl --disable-cloog-version-check --enable-lto --enable-gold --enable-ld=default --enable-plugin --with-plugin-ld=ld.gold --with-linker-hash-style=gnu --disable-install-libiberty --disable-multilib --disable-libssp --disable-werror --enable-checking=release
Thread model: posix
gcc version 4.8.0 20130502 (prerelease) (GCC)
configure:2765: $? = 0
configure:2772: gcc -V >&5
gcc: error: unrecognized command line option '-V'
gcc: fatal error: no input files
compilation terminated.
configure:2775: $? = 1
configure:2798: checking for C compiler default output file name
configure:2825: gcc -march=native -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -Wl, -O1,--sort-common,--as-needed,-z,relro -Wl,--no-as-needed conftest.c >&5
cc1: error: argument to '-O' should be a non-negative integer, 'g', 's' or 'fast'
configure:2828: $? = 1
configure:2866: result:
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME "epson-inkjet-printer-filter"
| #define PACKAGE_TARNAME "epson-inkjet-printer-filter"
| #define PACKAGE_VERSION "1.0.0"
| #define PACKAGE_STRING "epson-inkjet-printer-filter 1.0.0"
| #define PACKAGE_BUGREPORT "epson@localdomain"
| #define PACKAGE "epson-inkjet-printer-filter"
| #define VERSION "1.0.0"
| /* end confdefs.h. */
|
| int
| main ()
| {
|
| ;
| return 0;
| }
configure:2873: error: C compiler cannot create executables
See `config.log' for more details.
## ---------------- ##
## Cache variables. ##
## ---------------- ##
ac_cv_env_CCC_set=
ac_cv_env_CCC_value=
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=set
ac_cv_env_CFLAGS_value='-march=native -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4'
ac_cv_env_CPPFLAGS_set=set
ac_cv_env_CPPFLAGS_value=-D_FORTIFY_SOURCE=2
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_CXXCPP_set=
ac_cv_env_CXXCPP_value=
ac_cv_env_CXXFLAGS_set=set
ac_cv_env_CXXFLAGS_value='-march=native -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4'
ac_cv_env_CXX_set=
ac_cv_env_CXX_value=
ac_cv_env_F77_set=
ac_cv_env_F77_value=
ac_cv_env_FFLAGS_set=
ac_cv_env_FFLAGS_value=
ac_cv_env_LDFLAGS_set=set
ac_cv_env_LDFLAGS_value='-Wl, -O1,--sort-common,--as-needed,-z,relro -Wl,--no-as-needed'
ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_path_install='/usr/bin/install -c'
ac_cv_path_mkdir=/usr/bin/mkdir
ac_cv_prog_AWK=gawk
ac_cv_prog_ac_ct_CC=gcc
ac_cv_prog_make_make_set=yes
## ----------------- ##
## Output variables. ##
## ----------------- ##
ACLOCAL='${SHELL} /home/liberato/Scaricati/epson-inkjet-printer-workforce-320-sx218/src/epson-inkjet-printer-filter-1.0.0/missing --run aclocal-1.10'
AMDEPBACKSLASH=''
AMDEP_FALSE=''
AMDEP_TRUE=''
AMTAR='${SHELL} /home/liberato/Scaricati/epson-inkjet-printer-workforce-320-sx218/src/epson-inkjet-printer-filter-1.0.0/missing --run tar'
AR=''
AUTOCONF='${SHELL} /home/liberato/Scaricati/epson-inkjet-printer-workforce-320-sx218/src/epson-inkjet-printer-filter-1.0.0/missing --run autoconf'
AUTOHEADER='${SHELL} /home/liberato/Scaricati/epson-inkjet-printer-workforce-320-sx218/src/epson-inkjet-printer-filter-1.0.0/missing --run autoheader'
AUTOMAKE='${SHELL} /home/liberato/Scaricati/epson-inkjet-printer-workforce-320-sx218/src/epson-inkjet-printer-filter-1.0.0/missing --run automake-1.10'
AWK='gawk'
CC='gcc'
CCDEPMODE=''
CFLAGS='-march=native -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4'
CORE_LIBRARY_PATH=''
CORE_RESOURCE_PATH=''
CPP=''
CPPFLAGS='-D_FORTIFY_SOURCE=2'
CUPS_IMAGE_LIBS=''
CUPS_LIBS=''
CUPS_SERVER_DIR=''
CXX=''
CXXCPP=''
CXXDEPMODE=''
CXXFLAGS='-march=native -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4'
CYGPATH_W='echo'
DEFS=''
DEPDIR=''
DL_LIBS=''
DSYMUTIL=''
ECHO='echo'
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP=''
EXEEXT=''
F77=''
FFLAGS=''
GREP=''
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='$(install_sh) -c -s'
LDFLAGS='-Wl, -O1,--sort-common,--as-needed,-z,relro -Wl,--no-as-needed'
LIBOBJS=''
LIBS=''
LIBTOOL=''
LN_S=''
LTLIBOBJS=''
MAKEINFO='${SHELL} /home/liberato/Scaricati/epson-inkjet-printer-workforce-320-sx218/src/epson-inkjet-printer-filter-1.0.0/missing --run makeinfo'
NMEDIT=''
OBJEXT=''
PACKAGE='epson-inkjet-printer-filter'
PACKAGE_BUGREPORT='epson@localdomain'
PACKAGE_NAME='epson-inkjet-printer-filter'
PACKAGE_STRING='epson-inkjet-printer-filter 1.0.0'
PACKAGE_TARNAME='epson-inkjet-printer-filter'
PACKAGE_VERSION='1.0.0'
PATH_SEPARATOR=':'
RANLIB=''
SED=''
SET_MAKE=''
SHELL='/bin/sh'
STDCPP_LIBS=''
STRIP=''
VERSION='1.0.0'
ac_ct_CC='gcc'
ac_ct_CXX=''
ac_ct_F77=''
am__fastdepCC_FALSE=''
am__fastdepCC_TRUE=''
am__fastdepCXX_FALSE=''
am__fastdepCXX_TRUE=''
am__include=''
am__isrc=''
am__leading_dot='.'
am__quote=''
am__tar='${AMTAR} chof - "$$tardir"'
am__untar='${AMTAR} xf -'
bindir='${exec_prefix}/bin'
build=''
build_alias=''
build_cpu=''
build_os=''
build_vendor=''
datadir='${datarootdir}'
datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
dvidir='${docdir}'
exec_prefix='NONE'
host=''
host_alias=''
host_cpu=''
host_os=''
host_vendor=''
htmldir='${docdir}'
includedir='${prefix}/include'
infodir='${datarootdir}/info'
install_sh='$(SHELL) /home/liberato/Scaricati/epson-inkjet-printer-workforce-320-sx218/src/epson-inkjet-printer-filter-1.0.0/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localedir='${datarootdir}/locale'
localstatedir='${prefix}/var'
mandir='${datarootdir}/man'
mkdir_p='/usr/bin/mkdir -p'
oldincludedir='/usr/include'
pdfdir='${docdir}'
prefix='/opt/epson-inkjet-printer-workforce-320-sx218'
program_transform_name='s,x,x,'
psdir='${docdir}'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/etc'
target_alias=''
## ----------- ##
## confdefs.h. ##
## ----------- ##
#define PACKAGE_NAME "epson-inkjet-printer-filter"
#define PACKAGE_TARNAME "epson-inkjet-printer-filter"
#define PACKAGE_VERSION "1.0.0"
#define PACKAGE_STRING "epson-inkjet-printer-filter 1.0.0"
#define PACKAGE_BUGREPORT "epson@localdomain"
#define PACKAGE "epson-inkjet-printer-filter"
#define VERSION "1.0.0"
configure: exit 77
any idea to solve? I searched around but can not find anything.. :'(
Last edited by liberato83 (2013-05-24 13:25:18)
- Печать
Страницы: [1] Вниз
Тема: Ошибка при выполнении ./configure (Прочитано 4776 раз)
0 Пользователей и 1 Гость просматривают эту тему.

Shlepov
При выполнении ./configure выходит ошибка «configure: error: C compiler cannot create executables». Переустановил libc6-dev и все его зависимости. Система 14.04
Вылоп ./configure
config.log
Что еще можно попробовать?
ТС не появлялся на Форуме более полугода по состоянию на 09/09/2019 (последняя явка: 11/02/2019). Модератором раздела принято решение закрыть тему.
—zg_nico
« Последнее редактирование: 09 Сентября 2019, 18:26:04 от zg_nico »

hesoyamatogun
А о чем это вы сейчас, точнее что это за программа, что делает, что конфигурирует, с какой целью вы её запускаете и что xотите получить?

Shlepov

hesoyamatogun
Может ты не заметил, у тебя error’ы не только в конце но и в середине парочка, которые объясняют причину а не только извещают что «error: C compiler cannot create executables»

victor00000
gcc: error: unrecognized command line option ‘-fstack-protector-strong’
что опять версии пропустили gcc пакеты в ubuntu?
a@a:~$
a@a:~$ cat 3.c
#include <stdio.h>
int main()
{
char *str; // [] = "hello";
printf ((const char*)str);
}
a@a:~$
a@a:~$
a@a:~$
a@a:~$ LANG=C gcc-4.9 -fstack-protector-strong -c 3.c || echo "Ошибка"
a@a:~$
a@a:~$ LANG=C gcc-4.8 -fstack-protector-strong -c 3.c || echo "Ошибка"
gcc-4.8: error: unrecognized command line option '-fstack-protector-strong'
Ошибка
a@a:~$
в шоке.

Shlepov
Нет, не заметил. Спасибо!
Насколько я понял требуется версия gcc >5?
configure:5032: gcc -V >&5
gcc: error: unrecognized command line option '-V'
gcc: fatal error: no input files
Я обновил gcc до 5.4.1 20160904, и этот момент прошел успешно.
Теперь борюсь со следующей ошибкой:
configure: error: Basic auth helper getpwnam ... found but cannot be built

victor00000
gcc --version
Пользователь добавил сообщение 20 Июля 2017, 17:49:59:
Я обновил gcc до 5.4.1 20160904, и этот момент прошел успешно.
не а, плохо Ubuntu от сборки для пакеты gcc.
Пользователь добавил сообщение 21 Июля 2017, 02:51:08:
14.04
sudo apt-get install gccgo-4.9 g++-4.8
sudo rm -f /usr/local/bin/{gcc,g++}
sudo ln -s /usr/bin/gcc-4.9 /usr/local/bin/gcc
sudo ln -s /usr/bin/g++-4.8 /usr/local/bin/g++
exit
16.04
sudo apt-get install gccgo-6 g++-5
sudo rm -f /usr/local/bin/{gcc,g++}
sudo ln -s /usr/bin/gcc-6 /usr/local/bin/gcc
sudo ln -s /usr/bin/g++-5 /usr/local/bin/g++
exit
« Последнее редактирование: 21 Июля 2017, 02:51:08 от victor00000 »

Shlepov
shlepov@it:~$ gcc --version
gcc (Ubuntu 5.4.1-2ubuntu1~14.04) 5.4.1 20160904
Copyright (C) 2015 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
обновлял по этой инструкции.
Не пойму что за ошибка вылетает:
getpwnam это вроде обращение к файлу с паролями. На кой вообще свиду пароли? Я что-то запутался.
« Последнее редактирование: 21 Июля 2017, 09:06:19 от Shlepov »

victor00000
смотри мою посту «16.04» и команды.
- Печать
Страницы: [1] Вверх
I am not trying to install anything. But the error message
gcc: error: unrecognized command line option ‘--showme:link’
pops up as the first line in my terminal whenever I launch it.
The problem existed in 14.04 and still exists after upgrading to 16.04.
Any idea why this happens and possible solutions?
The output of cat ~/.bashrc
reads
# ~/.bashrc: executed by bash(1) for non-login shells.
# see /usr/share/doc/bash/examples/startup-files (in the package bash-doc)
# for examples
# If not running interactively, don't do anything
case $- in
*i*) ;;
*) return;;
esac
# don't put duplicate lines or lines starting with space in the history.
# See bash(1) for more options
HISTCONTROL=ignoreboth
# append to the history file, don't overwrite it
shopt -s histappend
# for setting history length see HISTSIZE and HISTFILESIZE in bash(1)
HISTSIZE=1000
HISTFILESIZE=2000
# check the window size after each command and, if necessary,
# update the values of LINES and COLUMNS.
shopt -s checkwinsize
# If set, the pattern "**" used in a pathname expansion context will
# match all files and zero or more directories and subdirectories.
#shopt -s globstar
# make less more friendly for non-text input files, see lesspipe(1)
[ -x /usr/bin/lesspipe ] && eval "$(SHELL=/bin/sh lesspipe)"
# set variable identifying the chroot you work in (used in the prompt below)
if [ -z "${debian_chroot:-}" ] && [ -r /etc/debian_chroot ]; then
debian_chroot=$(cat /etc/debian_chroot)
fi
# set a fancy prompt (non-color, unless we know we "want" color)
case "$TERM" in
xterm-color) color_prompt=yes;;
esac
# uncomment for a colored prompt, if the terminal has the capability; turned
# off by default to not distract the user: the focus in a terminal window
# should be on the output of commands, not on the prompt
#force_color_prompt=yes
if [ -n "$force_color_prompt" ]; then
if [ -x /usr/bin/tput ] && tput setaf 1 >&/dev/null; then
# We have color support; assume it's compliant with Ecma-48
# (ISO/IEC-6429). (Lack of such support is extremely rare, and such
# a case would tend to support setf rather than setaf.)
color_prompt=yes
else
color_prompt=
fi
fi
if [ "$color_prompt" = yes ]; then
PS1='${debian_chroot:+($debian_chroot)}[33[01;32m]u@h[33[00m]:[33[01;34m]w[33[00m]$ '
else
PS1='${debian_chroot:+($debian_chroot)}u@h:w$ '
fi
unset color_prompt force_color_prompt
# If this is an xterm set the title to user@host:dir
case "$TERM" in
xterm*|rxvt*)
PS1="[e]0;${debian_chroot:+($debian_chroot)}u@h: wa]$PS1"
;;
*)
;;
esac
# enable color support of ls and also add handy aliases
if [ -x /usr/bin/dircolors ]; then
test -r ~/.dircolors && eval "$(dircolors -b ~/.dircolors)" || eval "$(dircolors -b)"
alias ls='ls --color=auto'
#alias dir='dir --color=auto'
#alias vdir='vdir --color=auto'
alias grep='grep --color=auto'
alias fgrep='fgrep --color=auto'
alias egrep='egrep --color=auto'
fi
# some more ls aliases
alias ll='ls -alF'
alias la='ls -A'
alias l='ls -CF'
# Add an "alert" alias for long running commands. Use like so:
# sleep 10; alert
alias alert='notify-send --urgency=low -i "$([ $? = 0 ] && echo terminal || echo error)" "$(history|tail -n1|sed -e '''s/^s*[0-9]+s*//;s/[;&|]s*alert$//''')"'
# Alias definitions.
# You may want to put all your additions into a separate file like
# ~/.bash_aliases, instead of adding them here directly.
# See /usr/share/doc/bash-doc/examples in the bash-doc package.
if [ -f ~/.bash_aliases ]; then
. ~/.bash_aliases
fi
# enable programmable completion features (you don't need to enable
# this, if it's already enabled in /etc/bash.bashrc and /etc/profile
# sources /etc/bash.bashrc).
if ! shopt -oq posix; then
if [ -f /usr/share/bash-completion/bash_completion ]; then
. /usr/share/bash-completion/bash_completion
elif [ -f /etc/bash_completion ]; then
. /etc/bash_completion
fi
fi
source /opt/openfoam30/etc/bashrc
The output of cat /opt/openfoam30/etc/bashrc
is
#----------------------------------*-sh-*--------------------------------------
# ========= |
# \ / F ield | OpenFOAM: The Open Source CFD Toolbox
# \ / O peration |
# \ / A nd | Copyright (C) 2011-2015 OpenFOAM Foundation
# \/ M anipulation |
#------------------------------------------------------------------------------
# License
# This file is part of OpenFOAM.
#
# OpenFOAM is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License
# along with OpenFOAM. If not, see <http://www.gnu.org/licenses/>.
#
# File
# etc/bashrc
#
# Description
# Startup file for OpenFOAM
# Sourced from ~/.profile or ~/.bashrc
# Should be usable by any POSIX-compliant shell (eg, ksh)
#
#------------------------------------------------------------------------------
export WM_PROJECT=OpenFOAM
export WM_PROJECT_VERSION=3.0.1
################################################################################
# USER EDITABLE PART: Changes made here may be lost with the next upgrade
#
# either set $FOAM_INST_DIR before sourcing this file or set
# 'foamInstall' below to where OpenFOAM is installed
#
# Location of the OpenFOAM installation
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
foamInstall=/opt
# foamInstall=~$WM_PROJECT
# foamInstall=/opt/$WM_PROJECT
# foamInstall=/usr/local/$WM_PROJECT
#
# END OF (NORMAL) USER EDITABLE PART
################################################################################
#
# These are the defaults for this version which should generally be
# overridden from the prefs.sh file or from command-line specification
#
#- note the location for later use (eg, in job scripts)
: ${FOAM_INST_DIR:=$foamInstall}; export FOAM_INST_DIR
#- Compiler location:
# foamCompiler= system | ThirdParty (OpenFOAM)
foamCompiler=system
#- Compiler:
# WM_COMPILER = Gcc | Gcc45 | Gcc46 | Gcc47 | Gcc48 | Gcc49| Clang | Icc
export WM_COMPILER=Gcc
unset WM_COMPILER_ARCH WM_COMPILER_LIB_ARCH
#- Memory addressing:
# On a 64bit OS this can be 32bit or 64bit
# On a 32bit OS addressing is 32bit and this option is not used
# WM_ARCH_OPTION = 32 | 64
export WM_ARCH_OPTION=64
#- Precision:
# WM_PRECISION_OPTION = DP | SP
export WM_PRECISION_OPTION=DP
#- Label size:
# WM_LABEL_SIZE = 32 | 64
export WM_LABEL_SIZE=32
#- Optimised, debug, profiling:
# WM_COMPILE_OPTION = Opt | Debug | Prof
export WM_COMPILE_OPTION=Opt
#- MPI implementation:
# WM_MPLIB = SYSTEMOPENMPI | OPENMPI | SYSTEMMPI | MPICH | MPICH-GM | HPMPI
# | MPI | QSMPI | SGIMPI
export WM_MPLIB=SYSTEMOPENMPI
#- Operating System:
# WM_OSTYPE = POSIX | ???
export WM_OSTYPE=POSIX
#- Floating-point signal handling:
# set or unset
export FOAM_SIGFPE=
#- memory initialisation:
# set or unset
#export FOAM_SETNAN=
################################################################################
# The old dirs to be cleaned from the various environment variables
# - remove anything under top-level directory.
# NB: the WM_PROJECT_INST_DIR might not be identical between versions
foamOldDirs="$FOAM_INST_DIR $WM_PROJECT_SITE $HOME/$WM_PROJECT/$USER"
if [ "$WM_PROJECT_INST_DIR" != "$FOAM_INST_DIR" ]
then
foamOldDirs="$WM_PROJECT_INST_DIR $foamOldDirs"
fi
# Location of installation
# ~~~~~~~~~~~~~~~~~~~~~~~~
export WM_PROJECT_INST_DIR=$FOAM_INST_DIR
export WM_PROJECT_DIR=$WM_PROJECT_INST_DIR/openfoam30
# Location of third-party software
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
export WM_THIRD_PARTY_DIR=$WM_PROJECT_INST_DIR/ThirdParty-$WM_PROJECT_VERSION
# Location of site-specific templates etc
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# unset is equivalent to $WM_PROJECT_INST_DIR/site
if [ -d "$WM_PROJECT_SITE" ]
then
export WM_PROJECT_SITE
else
unset WM_PROJECT_SITE
fi
# Location of user files
# ~~~~~~~~~~~~~~~~~~~~~~
export WM_PROJECT_USER_DIR=$HOME/$WM_PROJECT/$USER-$WM_PROJECT_VERSION
# Source files, possibly with some verbosity
_foamSource()
{
while [ $# -ge 1 ]
do
[ "$FOAM_VERBOSE" -a "$PS1" ] && echo "Sourcing: $1" 1>&2
. $1
shift
done
}
# Evaluate command-line parameters
_foamEval()
{
while [ $# -gt 0 ]
do
case "$1" in
-*)
# stray option (not meant for us here) -> get out
break
;;
*=)
# name= -> unset name
[ "$FOAM_VERBOSE" -a "$PS1" ] && echo "unset ${1%=}" 1>&2
eval "unset ${1%=}"
;;
*=*)
# name=value -> export name=value
[ "$FOAM_VERBOSE" -a "$PS1" ] && echo "export $1" 1>&2
eval "export $1"
;;
*)
# filename: source it
if [ -f "$1" ]
then
_foamSource "$1"
else
_foamSource `$WM_PROJECT_DIR/bin/foamEtcFile -silent "$1"`
fi
;;
esac
shift
done
}
# Add in preset user or site preferences:
_foamSource `$WM_PROJECT_DIR/bin/foamEtcFile prefs.sh`
# Evaluate command-line parameters and record settings for later
# these can be used to set/unset values, or specify alternative pref files
export FOAM_SETTINGS="$@"
_foamEval $@
# Clean standard environment variables (PATH, LD_LIBRARY_PATH, MANPATH)
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
foamClean=$WM_PROJECT_DIR/bin/foamCleanPath
#- Clean PATH
cleaned=`$foamClean "$PATH" "$foamOldDirs"` && PATH="$cleaned"
#- Clean LD_LIBRARY_PATH
cleaned=`$foamClean "$LD_LIBRARY_PATH" "$foamOldDirs"`
&& LD_LIBRARY_PATH="$cleaned"
#- Clean MANPATH
cleaned=`$foamClean "$MANPATH" "$foamOldDirs"` && MANPATH="$cleaned"
export PATH LD_LIBRARY_PATH MANPATH
# Source project setup files
# ~~~~~~~~~~~~~~~~~~~~~~~~~~
_foamSource $WM_PROJECT_DIR/etc/config/settings.sh
_foamSource $WM_PROJECT_DIR/etc/config/aliases.sh
# Source user setup files for optional packages
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
_foamSource `$WM_PROJECT_DIR/bin/foamEtcFile config/paraview.sh`
_foamSource `$WM_PROJECT_DIR/bin/foamEtcFile config/ensight.sh`
_foamSource `$WM_PROJECT_DIR/bin/foamEtcFile config/gperftools.sh`
_foamSource `$WM_PROJECT_DIR/bin/foamEtcFile config/CGAL.sh`
# Clean environment paths again. Only remove duplicates
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#- Clean PATH
cleaned=`$foamClean "$PATH"` && PATH="$cleaned"
#- Clean LD_LIBRARY_PATH
cleaned=`$foamClean "$LD_LIBRARY_PATH"` && LD_LIBRARY_PATH="$cleaned"
#- Clean MANPATH (trailing ':' to find system pages)
cleaned=`$foamClean "$MANPATH"`: && MANPATH="$cleaned"
export PATH LD_LIBRARY_PATH MANPATH
#- Clean LD_PRELOAD
if [ -n "$LD_PRELOAD" ]
then
cleaned=`$foamClean "$LD_PRELOAD"` && LD_PRELOAD="$cleaned"
export LD_PRELOAD
fi
# cleanup environment:
# ~~~~~~~~~~~~~~~~~~~~
unset cleaned foamClean foamInstall foamOldDirs
unset _foamSource _foamEval
# ----------------------------------------------------------------- end-of-file